package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.ObjectReader;
import java.io.IOException;
import java.util.Arrays;

public class ExampleMain3 {
    public static void main(String[] args) throws IOException {
        String inputJson = "[\"apple\", \"banana\" ]";
        System.out.println("input json: " + inputJson);

        String[] existingArray = {"avocado", "mango", "cherries"};
        System.out.println("existing array: " + Arrays.toString(existingArray));
        System.out.println("existing array hashCode: " + System.identityHashCode(existingArray));

        ObjectMapper objectMapper = new ObjectMapper();
        ObjectReader objectReader = objectMapper.readerForUpdating(existingArray);
        String[] updatedArray = objectReader.readValue(inputJson);
        System.out.println("updated array: " + Arrays.toString(updatedArray));
        System.out.println("updated array hashCode: " + System.identityHashCode(updatedArray));
    }
}