package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.ObjectReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class ExampleMain4 {
    public static void main(String[] args) throws IOException {
        String inputJson = "[\"apple\", \"banana\" ]";
        System.out.println("input json: " + inputJson);

        List<String> existingList = new ArrayList<>(List.of("avocado", "mango", "cherries"));
        System.out.println("existing list: " + existingList);
        System.out.println("existing list hashCode: " + System.identityHashCode(existingList));

        ObjectMapper objectMapper = new ObjectMapper();
        ObjectReader objectReader = objectMapper.readerForUpdating(existingList);
        List<String> updatedList = objectReader.readValue(inputJson);
        System.out.println("updated list: " + updatedList);
        System.out.println("updated list hashCode: " + System.identityHashCode(updatedList));
    }
}